#
#
#
import time
import sys

from AccessGrid.hosting.pyGlobus import AGGSISOAP
from AccessGrid.Toolkit import CmdlineApplication
from AccessGrid.VenueServer import VenueServer

def test(filename='TVS.dat'):
    tlast = time.time()
    print "Creating Venue Server %f" % tlast
    vs = VenueServer()
    print "Loading Venues %f" % time.time()
    vs.LoadPersistentVenues(filename)
    print "Building Venue Description List %f" % time.time()
    vdl = map(lambda venue: venue.AsVenueDescription(), vs.venues.values())
    print "Calling buildSOAP %f" % time.time()
    t1 = time.time()
    soapXML = AGGSISOAP.buildSOAP(vdl)
    t2 = time.time()
    print "buildSOAP took %f - %f = %f seconds" % (t2, t1, t2 - t1)
    vs.Shutdown()
    
if __name__ == "__main__":
    app = CmdlineApplication()
    app.Initialize()
    app.InitGlobusEnvironment()

    if len(sys.argv) > 1:
        test(sys.argv[1])
    else:
        test()

    
